package com.ssyf.module.custom.service;

import com.github.pagehelper.PageInfo;
import com.ssyf.module.custom.domain.entity.CustomField;
import com.ssyf.module.custom.domain.query.CustomFieldQuery;

import java.util.List;

/**
* @author admin
* @description 针对表【custom_field(自定义表字段)】的数据库操作Service
* @createDate 2024-08-13 09:29:55
*/
public interface CustomFieldService {

    CustomField addOne(String tableUid, CustomFieldQuery query);

    List<CustomField> addBatch(String tableUid, List<CustomFieldQuery> queries);

    void updateByUid(String uid, CustomFieldQuery query);

    void removeByUid(String uid);

    CustomField getByUid(String uid);

    PageInfo<CustomField> getPage(String tableUid, CustomFieldQuery query);

    List<CustomField> getAll(String tableUid, CustomFieldQuery query);
}
